'use strict';


require('./style.css');


import * as lodash from 'lodash';
_ = lodash;

import MapContext from './control/MapContext';
import MapData from './model/MapData';
import InputHandler from './view/InputHandler';


var mapContext: MapContext;

window.onload = () => {
        var xhr = new XMLHttpRequest();

        xhr.onload = function() {
                var mapDef = new MapData(JSON.parse(this.responseText));
                var inputHandler = new InputHandler();
                mapContext = new MapContext(mapDef, inputHandler);
        }

        xhr.open('GET', 'resources/map/test.json', true);
        xhr.send();
};
